Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes

# ProfileSession Class Reference

List of all members.

## Public Member Functions
def | __init__
def | acquire
def | aggregate
def | getAggregate
def | getDuration
def | getFunc
def | getLines
def | getLogAfterProfile
def | getName
def | getReference
def | getResults
def | getShowCallInfo
def | getSorts
def | getTotalTime
def | profileSucceeded
def | release
def | resetTotalTime
def | run
def | setAggregate
def | setFunc
def | setLines
def | setLogAfterProfile
def | setName
def | setShowCallInfo
def | setSorts
def | setTotalTime
## Static Public Attributes
tuple | notify = directNotify.newCategory("ProfileSession")
tuple | TrueClock = TrueClock.getGlobalPtr()

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | name,
|  |  | func = `None`,
|  |  | logAfterProfile = `False`
| ) |  |

## Member Function Documentation

def acquire | ( |  | self | ) |

def aggregate | ( |  | self,
|  |  | other
| ) |  |

def getAggregate | ( |  | self | ) |

def getDuration | ( |  | self | ) |

def getFunc | ( |  | self | ) |

def getLines | ( |  | self | ) |

def getLogAfterProfile | ( |  | self | ) |

def getName | ( |  | self | ) |

def getReference | ( |  | self | ) |

def getResults | ( |  | self,
|  |  | lines = `Default`,
|  |  | sorts = `Default`,
|  |  | callInfo = `Default`,
|  |  | totalTime = `Default`
| ) |  |

def getShowCallInfo | ( |  | self | ) |

def getSorts | ( |  | self | ) |

def getTotalTime | ( |  | self | ) |

def profileSucceeded | ( |  | self | ) |

def release | ( |  | self | ) |

def resetTotalTime | ( |  | self | ) |

def run | ( |  | self | ) |

def setAggregate | ( |  | self,
|  |  | aggregate
| ) |  |

def setFunc | ( |  | self,
|  |  | func
| ) |  |

def setLines | ( |  | self,
|  |  | lines
| ) |  |

def setLogAfterProfile | ( |  | self,
|  |  | logAfterProfile
| ) |  |

def setName | ( |  | self,
|  |  | name
| ) |  |

def setShowCallInfo | ( |  | self,
|  |  | showCallInfo
| ) |  |

def setSorts | ( |  | self,
|  |  | sorts
| ) |  |

def setTotalTime | ( |  | self,
|  |  | totalTime = `None`
| ) |  |

## Member Data Documentation

tuple notify = directNotify.newCategory("ProfileSession")`[static]`

tuple TrueClock = TrueClock.getGlobalPtr()`[static]`

All Classes Namespaces Functions Variables Enumerations Enumerator Properties